Go Down

Topic: E-Health platform v2.0 (Read 2130 times) previous topic - next topic

monss

Hello community,

I recentrly tryed to install the e-health library from the coocking hacks web site (https://www.cooking-hacks.com/documentation/tutorials/ehealth-biometric-sensor-platform-arduino-raspberry-pi-medical#step3_1)

When i try to include the library from the sketch menu in the Arduino IDE it appear, but when i click on verify button (without adding any code, just import) i receive this error message:

Arduino\libraries\eHealth/eHealth.h:298:20: error: flexible array member 'eHealthClass::position' not at end of 'class eHealthClass'

   uint8_t position[];

I'm using arduino UNO and windows 10 OS,

Any suggestion?

Hope someone can help me,

Best,

Francesco Montedori



rtek1000

Quote
Download the e-Health library for Arduino (important: V2.4 July 2015, body position function modified)
Probably new version of IDE can't understand how library was written. It may be possible to compile without errors if you use the IDE version that was released at the same time as the library. That's why older versions of the IDE are available.

Alternatively, find a newer version of the library, or ask the repository developer to update the library for use in the new IDE version.
Please avoid private messages, your question may be someone's answer in the future!

rtek1000

A great way to find libraries these days is to use google with the keywords: library name + arduino + github

Please avoid private messages, your question may be someone's answer in the future!

Go Up